import { HttpClient } from './httpClient.service';
import { Http } from '@angular/http';
import { LocalStorageService } from 'angular-2-local-storage';
import { LoaderService } from './index';

function httpServiceFactory(http: Http, localStorageService: LocalStorageService, loaderService: LoaderService) {
    return new HttpClient(http, localStorageService, loaderService);
}

export { httpServiceFactory };